Cascades
sfp server API reference for Cascades: 9 endpoints.
curl -X POST "https://example.com/sfp/api/cascades"Empty
GET
/sfp/api/cascadesAuthorization
access-token AuthorizationBearer <token>
In: header
Query Parameters
repositoryIdentifier*string
Response Body
curl -X GET "https://example.com/sfp/api/cascades?repositoryIdentifier=string"Empty
GET
/sfp/api/cascades/{name}/dashboardAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
Response Body
curl -X GET "https://example.com/sfp/api/cascades/string/dashboard?repositoryIdentifier=string"Empty
GET
/sfp/api/cascades/{name}Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
Response Body
curl -X GET "https://example.com/sfp/api/cascades/string?repositoryIdentifier=string"Empty
DELETE
/sfp/api/cascades/{name}Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
Response Body
curl -X DELETE "https://example.com/sfp/api/cascades/string?repositoryIdentifier=string"Empty
POST
/sfp/api/cascades/{name}/triggerAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
Response Body
curl -X POST "https://example.com/sfp/api/cascades/string/trigger?repositoryIdentifier=string"Empty
POST
/sfp/api/cascades/publish-resultsAuthorization
access-token AuthorizationBearer <token>
In: header
Response Body
curl -X POST "https://example.com/sfp/api/cascades/publish-results"Empty
GET
/sfp/api/cascades/{name}/schedulesAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
Response Body
curl -X GET "https://example.com/sfp/api/cascades/string/schedules?repositoryIdentifier=string"Empty
GET
/sfp/api/cascades/{name}/runsAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
name*string
Query Parameters
repositoryIdentifier*string
limit?string
offset?string
Response Body
curl -X GET "https://example.com/sfp/api/cascades/string/runs?repositoryIdentifier=string"Empty